summaryrefslogtreecommitdiff
path: root/bin/menuscripts
diff options
context:
space:
mode:
Diffstat (limited to 'bin/menuscripts')
-rwxr-xr-xbin/menuscripts/mpass19
-rwxr-xr-xbin/menuscripts/mvid2
2 files changed, 20 insertions, 1 deletions
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
new file mode 100755
index 0000000..ebe3956
--- /dev/null
+++ b/bin/menuscripts/mpass
@@ -0,0 +1,19 @@
+#!/usr/bin/env sh
+store="$HOME/.password-store"
+lscmd="ls --group-directories-first"
+if [ "$MENUCMD" = "tofi" ]
+then
+ menucmd="tofi --prompt pass:"
+elif [ "$MENUCMD" = "dmenu" ]
+then
+ menucmd="dmenu -l 4 -g 2 -x -i -p pass:"
+else
+ menucmd="fzf --prompt pass:"
+fi
+while [ -d "${store}/${file}" ]
+do
+ choice="$($lscmd "${store}/${file}" | sed 's/\.gpg$//'| $menucmd)"
+ [ "$choice" ] || break
+ file="${file}/${choice}"
+done
+pass show -c "${file}"
diff --git a/bin/menuscripts/mvid b/bin/menuscripts/mvid
index a31a221..8d14c4b 100755
--- a/bin/menuscripts/mvid
+++ b/bin/menuscripts/mvid
@@ -8,7 +8,7 @@ cat /tmp/dmvids
if [ "$MENUCMD" = "tofi" ]
then
- menucmd="tofi --width 30% --height 30%"
+ menucmd="tofi --width 30% --height 30% --matching-algorithm normal"
elif [ "$MENUCMD" = "dmenu" ]
then
menucmd="dmenu -l 10 -g 1 -x -i"